@use '../tools/config_mixins_mq' as mq;
@use '../tools/size_calc' as sc;
@use '../settings/vars/colors' as c;

.content-home{
    background-image: url('/assets/images/layout/bg.svg');
    background-repeat: repeat;
    background-size: 3.2rem;

    .hero-icon{
        width: 100%;
        @include sc.calc-vw(max-width, 560)
    }
}

.home-what-we-do .description{
    max-width: 1200px;
}

.icon-naming{
    width: 35%;
    max-width: 100px;

    @include mq.media-up(lg){
        max-width: 148px;
    }
}

.icon-brand{
    width: 60%;
    max-width: 232px;

    @include mq.media-up(lg){
        max-width: 332px;
    }
}

.icon-look{
    width: 60%;
    max-width: 200px;

    @include mq.media-up(lg){
        max-width: 300px;
    }
}

.home-test-it .layer{
    background-color: rgba($color: #000000, $alpha: 0.5);
}

.home-test-it-grid{
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 20px;
}

.us-sample{
    box-shadow: 32px -32px 0px c.$primary-1;

    @include mq.media-up(lg){
        box-shadow: 72px -32px 0px c.$primary-1;
    }
}

.content-home .success-stories-swiper .img{
    height: 432px;
    width: 100%;

    @include mq.media-up(lg){
        height: 532px;
    }

    @include mq.media-up(xl){
        &:hover{
            transform: scale(1.1);
        }
    }

    @include mq.media-up(xxl){
        height: 632px;
    }
}

.wrapper-contact{
    max-width: 1284px;
}

.contact-sample{
    max-width: 160px;

    @include mq.media-up(md){
        max-width: 100%;
    }
}